# Kinetic.js

Summary

Kinetic.js |
Properties |
threshold | In most cases changing the threshold isn’t needed.
deceleration | {Float} the deseleration in px/msÂ², default to 0.0035.
nbPoints | {Integer} the number of points we use to calculate the kinetic initial values.
delay | {Float} time to consider to calculate the kinetic initial values.
points | List of points use to calculate the kinetic initial values.
timerId | ID of the timer.
Constructor |
OpenLayers.Kinetic |
Functions |
begin | Begins the dragging.
update | Updates during the dragging.
end | Ends the dragging, start the kinetic.
move | Launch the kinetic move pan.

### Properties

### threshold

In most cases changing the threshold isn’t needed. In px/ms, default to 0.

### deceleration

{Float} the deseleration in px/msÂ², default to 0.0035.

### nbPoints

{Integer} the number of points we use to calculate the kinetic initial values.

### delay

{Float} time to consider to calculate the kinetic initial values. In ms, default to 200.

### points

List of points use to calculate the kinetic initial values.

### timerId

ID of the timer.

### Constructor

### OpenLayers.Kinetic

#### Parameters

options | {Object}

### Functions

### begin

> begin: function()

Begins the dragging.

### update

> update: function( | xy | )

Updates during the dragging.

#### Parameters

xy | {OpenLayers.Pixel} The new position.

### end

> end: function( | xy | )

Ends the dragging, start the kinetic.

#### Parameters

xy | {OpenLayers.Pixel} The last position.

#### Returns

{Object} An object with two properties: “speed”, and “theta”. The “speed” and “theta” values are to be passed to the move function when starting the animation.

### move

> move: function( | info,
> | callback | )

Launch the kinetic move pan.

#### Parameters

info | {Object} An object with two properties, “speed”, and “theta”. These values are those returned from the “end” call.
callback | {Function} Function called on every step of the animation, receives x, y (values to pan), end (is the last point).

> begin: function()

Begins the dragging.

> update: function( | xy | )

Updates during the dragging.

> end: function( | xy | )

Ends the dragging, start the kinetic.

> move: function( | info,
> | callback | )

Launch the kinetic move pan.
This class represents a screen coordinate, in x and y coordinates
Close